x=0:0.1:20;
s=3;
c=3;
y1=s./(-0.23*x+s);
%y1(round(c/0.21*10))=NaN;
y2=x;y2(:)=1;
y3=s./(0.19*x +s);
hold off
figure(1)
subplot(1,2,1)
title('(a) In xy-dimension','fontsize',14)
set(gca,'xtick',0:3:20); 
ax=gca;
ax.YTick = [0.2 0.4 0.6 0.8 1 2 4 6 8];
%ax.YTickLabel={'2^{-3}','2^{-2}','2^{-1}','1','2^{1}','2^{2}','2^{3}'};
xlim([0 20])
ylim([3^-1 10^1])
pbaspect([1 0.75 1])
xlabel('Depth in original world Z_o[m]')
ylabel('Relative size')
hold on
X=[0,20];
Y=[1,10;1,10];
h=area(X,Y,'EdgeColor','none');%,'FaceAlpha',.3);
h(1).FaceColor = [0.9 0.9 0.9];
h(2).FaceColor = [0.8 0.8 0.8];
p=plot(x,y1,'w',x,y1,'r',x,y2,'k:',x,y3,'b--','LineWidth',3);
%p2=line([3 3], get(gca, 'ylim'),'Color','k','LineStyle',':','LineWidth',1.2);
p3=line([c/0.23 c/0.23],get(gca, 'ylim'),'Color','r','LineStyle',':','LineWidth',3);
text(15.7,1.16,'Expansion','FontSize',14)
text(14.6,0.9,'Compression','FontSize',14)
legend([p(1),p(2),p(3),p(4),p3],...
    'd_s=3m', 'd_c=2.44m','d_c=3m','d_c=3.7m','asymptote','Location','northwest')
set(gca,'YScale','log')
% legend([p(1),p(2),p(3),p2],...
%     's_e=50mm<s_c','s_e=63mm=s_c','s_e=75mm>s_c','screen distance','Location','northwest')
%set(gca,'xdir','reverse') 
%set(gca,'yaxislocation','right') 
set(gca, 'TickDir', 'both')
set(gca,'fontsize',14)
hold off
print('-dpdf', 'convergence.pdf')
% 
hold off
subplot(1,2,2)
title('(b) in z-dimension', 'fontsize',14)
set(gca,'xtick',0:3:20); 
ax=gca;
ax.YTick = [0.2 0.4 0.6 0.8 1 2 4 6 8];
%ax.YTickLabel={'2^{-3}','2^{-2}','2^{-1}','1','2^{1}','2^{2}','2^{3}'};
xlim([0 20])
ylim([3^-1 10^1])
pbaspect([1 0.75 1])
xlabel('Depth in original world Z_o[m]')
ylabel('Relative depth')
hold on
X=[0,20];
Y=[1,10;1,10];
h=area(X,Y,'EdgeColor','none');%,'FaceAlpha',.3);
h(1).FaceColor = [0.9 0.9 0.9];
h(2).FaceColor = [0.8 0.8 0.8];
p=plot(x,y1,'r',x,y2,'k:',x,y3,'b--','LineWidth',3);
%p2=line([3 3], get(gca, 'ylim'),'Color','k','LineStyle',':','LineWidth',1.2);
p3=line([c/0.23 c/0.23],get(gca, 'ylim'),'Color','r','LineStyle',':','LineWidth',3);
text(16.9,1.16,'Farther','FontSize',14)
text(17.2,0.9,'Closer','FontSize',14)
%legend([p(1),p(2),p(3),p3],...
%    'd_c=2.44m<d_s','d_c=3m=d_s','d_c=3.7m>d_s','asymptote','Location','northwest')
set(gca,'YScale','log')
set(gca, 'TickDir', 'both')
set(gca,'fontsize',14)
hold off
print('-dpdf', 'convergence2.pdf')
